<h3 class="warn mat-display-1 add-pet-title" fxLayoutAlign="center center">{{pageTitle}}</h3>
<form [formGroup]="resourceForm" (submit)="submitForm()" *ngIf="resourceForm">
  <div fxLayout="row" ngxSplit="row" class="row" class="add-pet">
    <div fxFlex="50%">
      <div fxLayout="column" class="add-pet__column-start first">
        <div fxLayout="column" fxLayoutAlign="start start" class="add-pet__column slide">
          <app-slide-toggle [checkedControl]="getFormControls().petType" firstValue="DOMÉSTICO" lastValue="SILVESTRE"></app-slide-toggle>
        </div>
        <div fxLayout="column">
          <app-input-field [field]="getFormControls().nome" fieldName="Nome"></app-input-field>
          <app-input-field [field]="getFormControls().especie" fieldName="Espécie"></app-input-field>
          <app-input-field [field]="getFormControls().raca" fieldName="Raça"></app-input-field>
          <app-input-field [field]="getFormControls().sexo" fieldName="Sexo"></app-input-field>
        </div>

        <div fxLayout="column">
          <mat-form-field appearance="fill">
            <mat-label>Data de Nascimento</mat-label>
            <input matInput [formControl]="getFormControls().dtNascimento" [matDatepicker]="dtNascimento">
            <mat-datepicker-toggle matSuffix [for]="dtNascimento"></mat-datepicker-toggle>
            <mat-datepicker #dtNascimento></mat-datepicker>
          </mat-form-field>
        </div>

        <div fxLayout="column">
          <mat-form-field appearance="fill">
            <mat-label>Data de Resgate</mat-label>
            <input matInput [formControl]="getFormControls().dtResgate" [matDatepicker]="dtResgate">
            <mat-datepicker-toggle matSuffix [for]="dtResgate"></mat-datepicker-toggle>
            <mat-datepicker #dtResgate></mat-datepicker>
          </mat-form-field>
        </div>
      </div>
    </div>
    <div fxFlex="50%">
      <div fxLayout="column" class="add-pet__column-start">
        <div fxLayout="column" class="add-pet__column second">
          <section>
            <mat-label>Disponibilidade</mat-label>
            <mat-checkbox [formControl]="getFormControls().adocao">Adoção</mat-checkbox>
            <mat-checkbox [formControl]="getFormControls().apadrinhamento">Apadrinhamento</mat-checkbox>
          </section>

          <mat-form-field appearance="fill" class="cartaApresentacao">
            <mat-label>Carta de apresentação</mat-label>
            <textarea matInput [formControl]="getFormControls().cartaApresentacao"></textarea>
          </mat-form-field>

          <section>
            <div fxLayout="row" fxFlex="100%" fxLayoutAlign="center center" >
              <div fxLayout="column" fxFlex="50%" fxLayoutAlign="start start" >
                <mat-label>Foto de perfil</mat-label>
              </div>
              <div fxLayout="row" fxFlex="50%" fxLayoutAlign="center center" >
                <div fxLayout="column" fxFlex="100%" fxLayoutAlign="start start" >
                  <button mat-mini-fab color="warn" type="button" (click)="fotoPerfil.click()">
                    <mat-icon>upload_file</mat-icon>
                  </button>
                  <input hidden type="file" #fotoPerfil id="fotoPerfil" (change)="onFileChange($event)"/>
                </div>
              </div>
            </div>
          </section>

          <section>
            <div fxLayout="row" fxFlex="100%" fxLayoutAlign="center center" >
              <div fxLayout="column" fxFlex="50%" fxLayoutAlign="start start" >
                <mat-label>Galeria de imagens</mat-label>
              </div>
              <div fxLayout="column" fxFlex="100%" fxLayoutAlign="start start" >
                <button mat-mini-fab color="warn" type="button" (click)="galeria.click()">
                  <mat-icon>upload_file</mat-icon>
                </button>
                <input hidden multiple type="file" #galeria id="galeria" (change)="onFileChange($event)"/>
              </div>
            </div>
          </section>
          <div fxLayout="row">
            <div fxLayout="row" fxFlex="100%" class="add-pet__column-list-images" fxLayoutAlign="space-between center" >
              <img *ngFor='let url of fotoPerfilImage' class="foto-perfil" [src]="url">
              <img *ngFor='let url of fotosPet'  [src]="url">
            </div>
          </div>
        </div>
        <div fxLayout="column" fxLayoutAlign="center center" class="add-pet__column-action">
          <button
          mat-raised-button
          type="submit"
          color="warn"
          class="login"
          >CADASTRAR</button>
        </div>
      </div>
    </div>
  </div>
</form>
<app-loader *ngIf="isLoading"></app-loader>
